Bug 1738142 - whichwayisup depends on Python 2
Summary: whichwayisup depends on Python 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: whichwayisup
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andrea Musuruane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:16 UTC by Lumír Balhar
Modified: 2019-08-19 01:01 UTC (History)
1 user (show)

Fixed In Version: whichwayisup-0.7.9-10.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 01:01:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:16:49 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for whichwayisup's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to whichwayisup.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Andrea Musuruane 2019-08-06 14:41:00 UTC
(In reply to Lumír Balhar from comment #0)
> - What is the reason for the Python2 dependency? (Is it software written in
> Python, or does it just provide Python bindings, or use Python in the build
> system or test runner?) 

This game is written in Python 2.

> - What are the upstream/community plans/timelines regarding Python 3?

AFAIK there are no upstream plan to port it to Python 3. 

Luckily Debian recently released a patch to port the game to Python 3:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=912500

> - What is the guidance for porting to Python 3? (Assuming that there is
> someone who generally knows how to port to Python 3, but doesn't know
> anything about the particular package, what are the next steps to take?)

I'll update the package using the Debian patch in the coming days/weeks.

Bye,

Andrea

Comment 2 Fedora Update System 2019-08-09 12:14:03 UTC
FEDORA-2019-9aef16aedb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9aef16aedb

Comment 3 Fedora Update System 2019-08-11 02:20:01 UTC
whichwayisup-0.7.9-10.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9aef16aedb

Comment 4 Ben Cotton 2019-08-13 16:49:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Lumír Balhar 2019-08-14 06:12:58 UTC
I can confirm that this package does not depend on Python 2 in rawhide. Thank you!

Comment 6 Fedora Update System 2019-08-19 01:01:19 UTC
whichwayisup-0.7.9-10.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.